Bug 86049 - nbms installed using Update Center should update NB memory settings
nbms installed using Update Center should update NB memory settings
Status: RESOLVED WONTFIX
Product: uml
Classification: Unclassified
Component: General
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Kris Richards
issues@uml
55uml_beta_rn
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 14:15 UTC by Andrew Korostelev
Modified: 2007-10-31 23:45 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Korostelev 2006-09-28 14:15:32 UTC
Now uml nbms do not change default memory settings "-J-Xms32m -J-Xmx128m" in
"netbeans.conf". 
Defaults are not enough for uml module.
Previously settings were set to "-J-Xms256m -J-Xmx512m" by enterprise pack
installer.

With default settings performance problems are highly visible and 'OutOfMemory'
appears after sime time of active IDE usage.
Comment 1 Andrew Korostelev 2006-09-28 14:16:21 UTC
see also issue 85996
Comment 2 Peter Lam 2006-09-28 22:06:59 UTC
uml clusters should be added to the clusters config file as well.
Comment 3 Peter Lam 2006-10-26 01:31:32 UTC
ignore the last comment regarding uml clusters since the directory structure has
been changed.
Comment 4 Peter Lam 2006-10-26 01:33:47 UTC
-J-Xmx512m is only needed when working with large uml modeling project or
reverse engineering a large java project. Otherwise, the default setting should
work fine.
Comment 5 Peter Lam 2006-10-26 08:49:15 UTC
workaround for this bug: manually replacing "-J-Xmx128m" with "-J-Xmx512m" for
netbeans_default_options in netbeans.conf file under NB-install-dir/etc
subdirectory.
Comment 6 Kris Richards 2007-01-04 21:14:59 UTC
changed to p3 to adhere to Netbeans priority guidelines.
Comment 7 Antonin Nebuzelsky 2007-10-10 12:14:34 UTC
This one should be closed as WONTFIX because a different mechanism for memory settings tuning is in place for 6.0. The
max heap size value is now computed dynamically by launcher to fit the user's RAM size (heap size from 96m to 512m
depending on how much RAM the user has).

I don't recommend to let any plugin installed via UC to toggle netbeans.conf.
Comment 8 George Vasick 2007-10-31 23:45:42 UTC
Resolved as wontfix per anebuzelsky.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo